<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\View;

class TechDocsController extends BaseController
{
    /**
     * Define the master layout.
     *
     * @var string
     */
    protected $layout = 'layouts.master';

    /**
     * Renders the General Repairs Guidelines document.
     *
     * @return null
     */
    public function getGeneralRepairsGuidelines()
    {
        $this->layout->content = View::make('tech-docs.general-repairs-guidelines');
    }

    /**
     * Render the New Machine Checklist page.
     *
     * @return null
     */
    public function getNewMachineChecklist()
    {
        $this->layout->content = View::make('tech-docs.new-machine-checklist');
    }

    /**
     * Render the Technician Pricing and Warranty Guidelines.
     *
     * @return null
     */
    public function getTechnicianPricingAndWarranty()
    {
        $this->layout->content = View::make('tech-docs.technician-pricing-and-warranty');
    }
}
